//@see rGlyphduino.h for details
#include "B4RDefines.h"
namespace B4R {
	
	void B4RCheapStepper::Initialize(int in1, int in2, int in3, int in4) {
		bn = new (be) CheapStepper(in1, in2, in3, in4);
	}
	
	void B4RCheapStepper::setRpm(int rpm) {
		bn->setRpm(rpm);
	}	
	
	void B4RCheapStepper::set4096StepMode() { 
	    bn->set4096StepMode();
    }
	
	void B4RCheapStepper::setTotalSteps(int numSteps) {
		bn->setTotalSteps(numSteps);
	}
	
	void B4RCheapStepper::move(bool clockwise, int numSteps) {
		bn->move(clockwise, numSteps);
	}	
	
	void B4RCheapStepper::moveTo (bool clockwise, int toStep) {
		bn->moveTo(clockwise, toStep);
	}	

	void B4RCheapStepper::moveDegrees (bool clockwise, int deg) {
		bn->moveDegrees(clockwise, deg);
	}	
	
	void B4RCheapStepper::moveToDegree (bool clockwise, int deg) {
		bn->moveToDegree(clockwise, deg);
	}		
	
	int B4RCheapStepper::getCurrentRpm () {
		return bn->getRpm();
	}	



	void B4RCheapStepper::newMove (bool clockwise, int numSteps) {
		bn->newMove(clockwise, numSteps);
	}	
	
	void B4RCheapStepper::newMoveTo (bool clockwise, int toStep) {
		bn->newMoveTo(clockwise, toStep);
	}	

	void B4RCheapStepper::newMoveDegrees (bool clockwise, int deg) {
		bn->newMoveDegrees(clockwise, deg);
	}	
	
	void B4RCheapStepper::newMoveToDegree (bool clockwise, int deg) {
		bn->newMoveToDegree(clockwise, deg);
	}	
	
	void B4RCheapStepper::stepSingle (bool clockwise) {
		bn->step(clockwise);
	}		
	
	
	
	
	void stepSingle (bool clockwise);
	
//	int B4RCheapStepper::getStep() {
//		return bn->getStep();
//	}	

	int B4RCheapStepper::getRemaingSteps() {
		return bn->getStepsLeft();
	}	

	
	
	void B4RCheapStepper::run() {
		bn->run();
	}	
	

	

	
}
